# Manage Your Maintenance Fee

#### Changing your fee doesn't affect the previously created validators!

Learn more about the Maintenance Fee:

{% content-ref url="/pages/rIGZWSJishlr5v5VVXf9" %}
[Maintenance Fee](/operator-marketplace/maintenance-fee.md)
{% endcontent-ref %}

## Changing Your Fee

```javascript
const new_fee = x * 10**10 /100 // x%

await Portal.switchMaintenanceFee(id, new_fee)
```

{% hint style="info" %}

#### 3 Day Rule

When a Pool's fee is changed, it takes 3 days for new fee to take effect.&#x20;

<mark style="color:blue;">Within this 3-day period the fee cannot be changed again.</mark>

This applies to Operator Fees as well, and prevents misleading behavior within our marketplace.
{% endhint %}

## Claiming Your Fees

#### Internal Wallet

Every ID has an Internal Wallet, which makes transferring Ether easier for both Geode's Portal, and it's users.

The Internal Wallet is the place where your fees will accrue over time.

```javascript
const wallet_balance = Portal.readUintForId(id, getBytes("wallet"));

await Portal.decreaseWalletBalance(id, wallet_balance);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geode.fi/ethereum-guides/staking-pool-handbook/manage-your-maintenance-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
